Bug 432546 - drivers/hid/usbhid/hid-core.c: control queue full
drivers/hid/usbhid/hid-core.c: control queue full
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 14:00 EST by Jeff Layton
Modified: 2014-06-18 03:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:58:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from lsusb -vvv (20.32 KB, text/plain)
2008-02-12 14:00 EST, Jeff Layton
no flags Details

  None (edit)
Description Jeff Layton 2008-02-12 14:00:22 EST
I have a  USB keyboard and mouse connected to a USB KVM switch, which is in turn
connected to 3 workstations. Occasionally, the keyboard and mouse go
unresponsive on the main workstation. When it occurs, I start getting messages
like this in the ring buffer:

drivers/hid/usbhid/hid-core.c: control queue full

once this happens, the USB subsystem seems to be totally unresponsive. New
devices are not recognized (though disconnect messages do seem to show up in the
ring buffer for devices that are already plugged in). Trying to do things like a
lsusb hangs hard (probably in D state, but I need to confirm). It seems like
this problem hits somewhat regularly when I tap the capslock or numlock keys a
few times in rapid succession -- not always, but often...

The motherboard here is a Gigabyte GA-MA69GM-S2H, I've patched it up to the
latest BIOS from the mfr. Currently running kernel 2.6.23.15-137.fc8, but I've
had this problem on earlier kernels too.

Info from lspci:

00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)

I've been working on getting kdump to work on this machine, but have had no luck
so far. I'll keep plugging away at it if it would be helpful. I can still ssh
into the box when this happens so I should be able to gather any info from the
machine when it occurs.
Comment 1 Jeff Layton 2008-02-12 14:00:22 EST
Created attachment 294691 [details]
output from lsusb -vvv
Comment 2 Bug Zapper 2008-11-26 04:47:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:58:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.